Bug 5817 - Malformed author search link breaks sorting on results page
Summary: Malformed author search link breaks sorting on results page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) major (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-28 21:08 UTC by Owen Leonard
Modified: 2012-10-25 23:04 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed fix (2.25 KB, patch)
2011-02-28 21:11 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2011-02-28 21:08:22 UTC
To reproduce:

1. Perform a search.
2. Click on an author link in the search results.
3. Re-sort the results of that author search.

The malformed author search link causes the re-sort to fail, redirecting the user to the advanced search form.
Comment 1 Owen Leonard 2011-02-28 21:11:39 UTC
Created attachment 3228 [details] [review]
Proposed fix

Thanks to Chris Cormack for the solution.
Comment 2 Fridolin Somers 2011-03-01 11:49:58 UTC
(In reply to comment #1)
> Created attachment 3228 [details] [review]
> Proposed fix
> 
> Thanks to Chris Cormack for the solution.

This problem is not only on author ("au:"), but on all simple search indexes : "se:", "su:", ...
No ?
Comment 3 Owen Leonard 2011-03-01 13:42:50 UTC
> This problem is not only on author ("au:"), but on all simple search indexes :
> "se:", "su:", ...

You're right. I noticed the author search was causing this error, but call number searches on the results screen are also affected, as well as similar searches on the detail screen. Follow-up patch forthcoming.
Comment 4 MJ Ray (software.coop) 2011-03-02 18:48:16 UTC
This bug is mentioned in:
Fix for Bug 5817,	Malformed author search link breaks sorting on results page http://lists.koha-community.org/pipermail/koha-patches/2011-February/013951.html
Fix for Bug 5817,	Malformed author search link breaks sorting on results page http://lists.koha-community.org/pipermail/koha-patches/2011-February/013950.html
Comment 5 Jared Camins-Esakov 2011-03-28 16:47:55 UTC
The issue Fridolyn describes is a larger issue which needs to be fixed. However, this can be fixed in the meantime by changing the search links.
Comment 6 Nicole C. Engard 2011-03-28 16:51:51 UTC
Both the patch and the follow up signed off on
Comment 7 Chris Cormack 2011-03-28 19:47:38 UTC
Original patch had already been pushed, pushed follow up
Comment 8 MJ Ray (software.coop) 2011-04-10 11:25:04 UTC
This bug is mentioned in:
Fix for Bug 5817,	Malformed author search link breaks sorting on results page http://lists.koha-community.org/pipermail/koha-patches/2011-March/014280.html
Bug 5817: Follow-up fixing	callnum: on staff results http://lists.koha-community.org/pipermail/koha-patches/2011-March/014279.html